# Generated from jobshop-0.0.179.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jobshop

Name: rubygem-%{gem_name}
Version: 0.0.179
Release: 1%{?dist}
Summary: An Open Source Manufacturing Execution System
License: AGPL-3.0
URL: https://jobshop.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capybara) >= 3.16
# BuildRequires: rubygem(capybara) < 4
# BuildRequires: rubygem(coveralls) >= 0.8
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(factory_bot_rails) >= 5.0
# BuildRequires: rubygem(factory_bot_rails) < 6
# BuildRequires: rubygem(faker) >= 1.9
# BuildRequires: rubygem(faker) < 2
# BuildRequires: rubygem(generator_spec) >= 0.9
# BuildRequires: rubygem(generator_spec) < 1
# BuildRequires: rubygem(bcrypt) >= 3.1
# BuildRequires: rubygem(bcrypt) < 4
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(selenium-webdriver) >= 3.141
# BuildRequires: rubygem(selenium-webdriver) < 4
# BuildRequires: rubygem(shoulda-matchers) >= 4.0
# BuildRequires: rubygem(shoulda-matchers) < 5
# BuildRequires: rubygem(terminal-table) >= 1.8
# BuildRequires: rubygem(terminal-table) < 2
# BuildRequires: rubygem(tty-spinner) >= 0.8
# BuildRequires: rubygem(tty-spinner) < 1
BuildArch: noarch

%description
An Open Source Manufacturing Execution System.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/jobshop
%{gem_instdir}/COPYRIGHT
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Aug 24 2021 mockbuilder - 0.0.179-1
- Initial package
